Notizie: scarica ora l'ultima versione disponibile di Firefox!

Autore Topic: Firefox ed il blocco dei componenti aggiuntivi  (Letto 5212 volte)

0 Utenti e 1 Visitatore stanno visualizzando questo topic.

Offline deckard

  • Post: 2724
Re: Firefox ed il blocco dei componenti aggiuntivi
« Risposta #30 il: 11 Luglio 2017 09:34:48 »
Se è per quello allora sono disponibili nel canale di sviluppo (contenente i rilasci beta e le release candidate) della estensione.
https://addons.mozilla.org/en-US/firefox/addon/ublock-origin/versions/beta
Come pure per uMatrix
https://addons.mozilla.org/en-US/firefox/addon/umatrix/
Canale di sviluppo
https://addons.mozilla.org/en-US/firefox/addon/umatrix/versions/beta

EDIT
Se poi stiamo parlando di componenti aggiuntivi non firmati, l'unico problema è dato dai componenti aggiuntivi datati e resi disponibili al di fuori di AMO a cui gli sviluppatori non hanno più messo mano. (Parlo di quelli senza più rilasci da quando è "diventato obbligatorio" il sistema di firma obbligatoria.)
E comunque se è stato reso disponibile il codice sorgente e la licenza del componente aggiuntivo lo permette vi si può porre rimedio con progetti derivati o con nuove versioni.
« Ultima modifica: 11 Luglio 2017 10:06:20 da deckard »

Offline gabryele

  • Post: 768
Re: Firefox ed il blocco dei componenti aggiuntivi
« Risposta #31 il: 12 Luglio 2017 11:04:02 »
Se è per quello allora sono disponibili nel canale di sviluppo (contenente i rilasci beta e le release candidate) della estensione.
https://addons.mozilla.org/en-US/firefox/addon/ublock-origin/versions/beta

manca proprio la 1.13.6
(visto che non è una beta?)

Offline deckard

  • Post: 2724
Re: Firefox ed il blocco dei componenti aggiuntivi
« Risposta #32 il: 12 Luglio 2017 11:34:14 »
La versione 1.13.6 è un rilascio correttivo solo per Opera, cosa che si può notare dalle note di rilascio...
https://github.com/gorhill/uBlock/releases/tag/1.13.6
Citazione
Notes:

This release contains a fix for Opera browser specifically -- no point installing it on other browsers.

Closed as fixed:

* uBlock Origin opera isn't blocking ad banner, but uBlock Origin chrome does
Si tratta di un rilascio che ha una utilità SOLO E SOLTANTO per chi adopera Opera, per correggere un SOLO ED UNICO difetto riscontrato ESCLUSIVAMENTE nella versione 1.13.4 per Opera, mentre nel caso di Firefox penso che si possa adoperare tranquillamente la versione 1.13.4 o la versione 1.13.7rc3 relativa al canale di sviluppo.
Credo di poter ragionevolmente dire che Raimond Hill non ha reso disponibile su AMO codesta versione per questo motivo.

{[(Nota a margine nel Chrome Store uBO è fermo alla versione 1.13.2 con data aggiornamento il 21 giugno 2017 poiché diversi cambiamenti della versione 1.13.4 riguardavano Firefox o comunque non riguardavano Chrome sulla base di quanto m'è dato di poter arguire.)]}

 :fischio: Per cortesia, se guardate una pagina leggete con attenzione e fino in fondo prima di riportare...  :fischio:
« Ultima modifica: 12 Luglio 2017 11:59:19 da deckard »

Offline gabryele

  • Post: 768
Re: Firefox ed il blocco dei componenti aggiuntivi
« Risposta #33 il: 17 Luglio 2017 12:10:32 »
La versione 1.13.6 è un rilascio correttivo solo per Opera, cosa che si può notare dalle note di rilascio...

è vero che dice "This release contains a fix for Opera browser specifically -- no point installing it on other browsers."
 :shock:
ma è comunque presente "uBlock0.firefox.xpi"
e nel topic si chiedeva se si potesse in modi più o meno consoni riuscire a installare un componente aggiuntivo non collegato allo "store" ufficiale.
era qui che si voleva arrivare, ma probabilmente non c'è trucco, non c'è inganno che possa servire.
hanno chiuso troppo bene.

Offline deckard

  • Post: 2724
Re: Firefox ed il blocco dei componenti aggiuntivi
« Risposta #34 il: 17 Luglio 2017 17:10:22 »
Si può installare un componente aggiuntivo non collegato allo “store” ufficiale solo se è firmato o si ha la possibilità di firmarlo.
Per quanto m'è dato di sapere e allo stato attuale delle cose non c'è altra possibilità al fine di installare un componente aggiuntivo non firmato nelle versioni attualmente supportate di Firefox. (E questo lo avevo già detto precedentemente.)
Facendo riferimento alle seguenti due pagine la preferenza (xpinstall.signatures.required) da modificare (tramite about:config) potrebbe essere ininfluente con le attuali versioni (Firefox Extended Support Release ESR 52.2.1 e Firefox Release 54.0.1).
https://support.mozilla.org/it/kb/firma-componenti-aggiuntivi-firefox
https://wiki.mozilla.org/Add-ons/Extension_Signing

Citazione
probabilmente non c'è trucco, non c'è inganno che possa servire. hanno chiuso troppo bene.

Come già detto si tratta di una scelta motivata e documentata, scelta su cui si può dissentire, ma funzionale a diverse necessità tra le quali il blocco dei contenuti ritenuti pericolosi.
« Ultima modifica: 17 Luglio 2017 17:14:38 da deckard »

Offline Artman

  • Post: 5
Re:Firefox ed il blocco dei componenti aggiuntivi
« Risposta #35 il: 07 Maggio 2019 12:58:08 »
Ciao...vorrei dire lamia su questo strano caso di firme scadute e non riconosciute.....Io uso la versione 51 di FF...solo perchè i costanti aggiornamenti mi impediscono di usare estensioni per me preziose ed utilissime tipo deskcut...downthemall (una figata) ...image tollbar...e molte altre....ora l'idea che mi sono fatto e che hanno fatto in modo che tutti noi dovessimo per forza aggiornare FF all'ultima versione per risolvere i problemi delle estensioni ...in questo modo si sono liberati di troppe versioni vecchie....anche perchè per la mia versione non c'è modo di risolvere sto problema ... nella mia versione non c'è la sezione Consenti a Firefox di installare e condurre studi.... quindi nessuna possibiltà di tentare una correzione....se avete voi qualche idea ok....non è possibile che le ultime versioni di FF non abbiano a disposizione le varie estensioni...rispetto  prima la celta è davvero limitata e soprattutto complicata.....vi ringrazio ciao

Offline Iceberg

  • Moderatore
  • Post: 7556
Re:Firefox ed il blocco dei componenti aggiuntivi
« Risposta #36 il: 07 Maggio 2019 13:14:42 »
Se hai la versione 51 prova questa soluzione.

Digita about:config nella barra degli indirizzi, invio, prometti di fare attenzione, tramite il filtro cerca questo parametro:
xpinstall.signatures.required

Se il valore è true, come dovresti trovare, fai doppio clic sul parametro stesso per cambiare il valore in false. Riavvia se l'effetto non è immediato. Funziona?

0 Utenti e 1 Visitatore stanno visualizzando questo topic.